/* File:        $Id: CrawlLogDataCache.java 2185 2011-11-21 17:29:22Z svc $
 * Revision:    $Revision: 2185 $
 * Author:      $Author: svc $
 * Date:        $Date: 2011-11-21 18:29:22 +0100 (Mon, 21 Nov 2011) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2011 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 
 *  USA
 */

package dk.netarkivet.archive.indexserver;

import java.util.regex.Pattern;

import dk.netarkivet.harvester.harvesting.MetadataFile;

/**
 * This class implements the low-level cache for crawl log Lucene indexing.
 * It will get the crawl logs for individual jobs as files.
 *
 */

public class CrawlLogDataCache extends RawMetadataCache {
    /**
     * Create a new CrawlLogDataCache.  For a given job ID, this will fetch
     * and cache crawl.log files from metadata files
     * (&lt;ID&gt;-metadata-[0-9]+.arc).
     *
     */
    public CrawlLogDataCache() {
        super("crawllog",
                Pattern.compile(MetadataFile.CRAWL_LOG_PATTERN),
                Pattern.compile("text/plain"));
    }
}
