/*$Id: JobStatusTester.java 2185 2011-11-21 17:29:22Z svc $
* $Revision: 2185 $
* $Date: 2011-11-21 18:29:22 +0100 (Mon, 21 Nov 2011) $
* $Author: svc $
*
* The Netarchive Suite - Software to harvest and preserve websites
* Copyright 2004-2011 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package dk.netarkivet.harvester.datamodel;

import java.util.Locale;

import junit.framework.TestCase;

/**
 * Tests of the JobStatus class.
 * Currently, only the static method getLocalizedString
 * is tested here.
 */
public class JobStatusTester extends TestCase {
    public JobStatusTester(String s) {
        super(s);
    }

    public void setUp() {
    }

    public void tearDown() {
    }

    /** 
     * Test getLocalizedString.
     */
    public void testGetLocalizedString() {
        Locale en = new Locale("en");
        assertEquals(JobStatus.NEW.getLocalizedString(en), "New");
        assertEquals(JobStatus.DONE.getLocalizedString(en), "Done");
        assertEquals(JobStatus.SUBMITTED.getLocalizedString(en), "Submitted");
        assertEquals(JobStatus.STARTED.getLocalizedString(en), "Started");
        assertEquals(JobStatus.FAILED.getLocalizedString(en), "Failed");
        assertEquals(JobStatus.RESUBMITTED.getLocalizedString(en), "Resubmitted");       
      }

    public void testLegalChange() {
        JobStatus status = JobStatus.FAILED_REJECTED;
        assertTrue("Should be legal to change JobStatus from FAILED_REJECTED "
                   + "back to FAILED", status.legalChange(JobStatus.FAILED));
    }

}
